# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

%global barename degenerator

Name:               nodejs-degenerator
Version:            1.0.2
Release:            1%{?dist}
Summary:            Turns sync functions into async generator functions

# License is in README.md
License:            MIT
URL:                https://www.npmjs.org/package/degenerator
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
# RHBZ#1262123 https://github.com/TooTallNate/node-degenerator/pull/8
Patch0:             0001-update-to-use-newer-ast-types.patch

BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
BuildRequires:      npm(ast-types)
BuildRequires:      npm(esprima)
BuildRequires:      npm(escodegen)
%endif


%description
Sometimes you need to write sync looking code that's really async under the
hood. This module takes a String to one or more synchronous JavaScript
functions, and returns a new String that with those JS functions transpiled
into ES6 Generator Functions.

%prep
%setup -q -n package
%patch0 -p1

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep esprima ~1.x
%nodejs_fixdep ast-types ~0.x
%nodejs_fixdep --caret

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/degenerator
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/degenerator

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec test/test.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/degenerator/

%changelog
* Fri Sep 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.2-1
- patch to be compatible with newer ast-types
- update to upstream 1.0.2
- enable tests

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- new version

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.0.3-1
- Initial packaging for Fedora.
